import React, { useEffect, useState } from 'react'
import SiteModal from '@/components/Modal/SiteModa';
import { Checkbox, Input, Button, Modal, Form, Radio, DatePicker, Switch } from 'antd'
import HourOfDaySelect from './HourOfDaySelect'
import DayOfWeekSelect from './DayOfWeekSelect'
import styles from './VisibleIISAgentConfig.less'
const { Item } = Form;


const VisibleIISAgentConfig = props => {

    const [loading, setLoading] = useState(false);
    const [previewVisible, setPreviewVisible] = useState(false)
    const [selectRole, setSelectRole] = useState([])
    const [isReentrant,setIsReentrant] = useState(false)
    const [form] = Form.useForm();
    const onSubmit = () => {

    }
    const handleCancel = () => {
        setPreviewVisible(false)

    }
    const handleOk = () => {
        setPreviewVisible(false)
    }
    const handleClick = () => {
        setPreviewVisible(true)
    }
    const onPostChange = (value) => {
        setIsReentrant(value)
    }

    return (
        <div>
            <div onClick={handleClick}>选择推送组</div>
            <div>{selectRole}</div>
            <SiteModal
                {...props}
                title="编辑定时任务"
                bodyStyle={{ width: '100%', minHeight: '100px' }}
                style={{ top: 200, borderRadius: '20px' }}
                width="800px"
                destroyOnClose
                cancelText="取消"
                okText="确认"
                onOk={() => handleOk()}
                confirmLoading={loading}
                visible={previewVisible}
                onCancel={handleCancel}

            >
                <div className={styles.IISAgent_container}>
                    <Form form={form} labelCol={{ span: 4 }}>
                        <Item
                            label="计划名称"
                            name="name"
                        >
                            <Input placeholder="请输入计划名称" />
                        </Item>
                        <Item
                            label="路径类型"
                            name="url_type"
                        >
                            <Radio.Group value={false}>
                                <Radio value={false}>相对路径</Radio>
                                <Radio value={true}>绝对路径</Radio>
                            </Radio.Group>
                        </Item>
                        <Item
                            label="URL路径"
                            name="url_path"
                        >
                            <Input placeholder="请输入URL名称" />
                        </Item>
                        <Item
                            label="请求头"
                            name="request_header"
                        >
                            <Input placeholder="请输入URL名称" />
                        </Item>
                        <Item
                            label="计划类型"
                            name="plan_type"
                        >
                            <Radio.Group value={1} buttonStyle='outline'>
                                <Radio value={1}>重复执行</Radio>
                                <Radio value={0}>执行一次</Radio>
                            </Radio.Group>
                        </Item>
                        <Item
                            label="开始时间"
                            name="start_time"
                        >
                            <DatePicker showTime />
                        </Item>
                        <Item
                            label="结束时间"
                            name="end_time"
                        >
                            <DatePicker showTime />
                        </Item>
                        <Item
                            label="执行方式"
                            name="loopMode"
                        >
                            <Radio.Group value={false}>
                                <Radio value={0}>循环</Radio>
                                <Radio value={1}>每天</Radio>
                                <Radio value={2}>每周</Radio>
                            </Radio.Group>
                        </Item>
                        <Item
                            label="循环周期"
                            name="interval"
                        >
                            <Input placeholder="请输入循环周期" />
                        </Item>
                        <Item
                            label="循环单位"
                            name="loop_unit"
                        >
                            <Input placeholder="请输入循环单位" />
                        </Item>
                        <Item
                            label="日循环"
                            name="hour_of_day"
                        >
                            <HourOfDaySelect />
                        </Item>
                        <Item
                            label="周循环"
                            name="day_of_week"
                        >
                            <DayOfWeekSelect />
                        </Item>
                        <Item
                            label="超时时间"
                            name="time_out"
                        >
                            <Input />
                        </Item>
                        <Item
                            label="POST状态"
                            name="post_state"
                        >
                            <Switch checkedChildren="开启" unCheckedChildren="关闭" onChange={onPostChange} />
                        </Item>
                        <Item
                            label="允许并发"
                            name="reentrant"
                        >
                            <Switch checkedChildren="开启" unCheckedChildren="关闭" disabled={isReentrant}/>
                        </Item>
                        <Item
                            label="开启日志"
                            name="enable_log"
                        >
                            <Switch checkedChildren="开启" unCheckedChildren="关闭" />
                        </Item>

                    </Form>
                </div>
            </SiteModal>
        </div>
    )
}
export default VisibleIISAgentConfig;